### Method

# Qrtr Node lookup_port

since: 1.0

#### Declaration [src]

    gint32
    qrtr_node_lookup_port (
      QrtrNode* self,
      guint32 service
    )

#### Description [src]

If a server has announced itself for the given node and service number, return the port number of that service.

If multiple instances are registered, this method returns the port number for the service with the highest version number.

Available since: 1.0

#### Parameters

`service`

  Type: `guint32`

  A service number.

#### Return value

Type: `gint32`

The port number of the service in the node, or -1 if not found.